# class Gem::ImpossibleDependenciesError

Raised by `Gem::Resolver` when dependencies conflict and create the inability to find a valid possible spec for a request.

### Attributes

conflicts[R]
request[R]

### Public Class Methods

new(request, conflicts) click to toggle source
Calls superclass method `Exception::new`

    # File lib/rubygems/exceptions.rb, line 148
    def initialize(request, conflicts)
      @request   = request
      @conflicts = conflicts

      super build_message
    end

### Public Instance Methods

dependency() click to toggle source

    # File lib/rubygems/exceptions.rb, line 169
    def dependency
      @request.dependency
    end